<template>
    <div>
        <h2>Demande de nouveau mot de passe</h2>
        <div>
        <form
            class="uk-form-horizontal uk-margin-large uk-margin-medium-bottom"
        >
            <div class="uk-margin">
                <label class="uk-form-label" for="form-horizontal-text"
                    >Email</label
                >
                <input
                    class="uk-input uk-form-width-medium"
                    type="email"
                    v-model="email"
                />
            </div>
        </form>
    </div>
        <button
            class="uk-button uk-button-default button-connexion uk-align-center"
            @click="demander()"
        >
            Faire la demande
        </button>
    </div>
</template>

<script lang="ts">
import Axios from '@/auth/axiosAuth';
import UIkit from 'uikit';

export default {
    data() {
        return {
            email: '',
        };
    },
    methods: {
        demander() {
            const form = new FormData();
            form.append('email', this.email);
            Axios.postUnLogged(
                'auth/demanderMotDePasse/',
                (next) =>
                    UIkit.notification(
                        'Votre demande a bien été prise en compte',
                    ),
                form,
            );
        },
    },
};
</script>

<style scoped>
.button-connexion {
    width: 60%;
    margin-bottom: 8px;
    margin-top: 0px !important;
}
</style>